import cv2
import sys
from matplotlib import pyplot as plt

DEFAULT_IMAGE = "../img/sample_jpg.jpg"
image = sys.argv[1] if len(sys.argv) > 1 else raw_input("Path para a imagem: ")

img = cv2.imread(image, 3)

if img is None:
    print "Deu ruim xd"
    sys.exit(1)

histred = cv2.calcHist([img], [2], None, [256], [0,256])
histgreen = cv2.calcHist([img], [1], None, [256], [0,256])
histblue = cv2.calcHist([img], [0], None, [256], [0,256])

plt.plot(histred, color='r')
plt.plot(histgreen, color='g')
plt.plot(histblue, color='b')
plt.xlim([0,256])
plt.show()
