import cv2
import cv
import sys

path_img1 = raw_input("Path para a imagem 1: ") if len(sys.argv) <= 1 else sys.argv[1]
path_img2 = raw_input("Path para a imagem 2: ") if len(sys.argv) <= 2 else sys.argv[2]

img1 = cv2.imread(path_img1, 3)
img2 = cv2.imread(path_img2, 3)

colors = [(0, 0, 255), (0, 255, 0), (255, 0, 0)]
total_diff = 0.0

for ch, color in enumerate(colors):
    hist_img1 = cv2.calcHist([img1], [ch], None, [256], [0, 255])
    hist_img2 = cv2.calcHist([img2], [ch], None, [256], [0, 255])
    cv2.normalize(hist_img1, hist_img1, 0, 255, cv2.NORM_MINMAX)
    cv2.normalize(hist_img2, hist_img2, 0, 255, cv2.NORM_MINMAX)
    sc = cv2.compareHist(hist_img1, hist_img2, cv.CV_COMP_BHATTACHARYYA)
    print str(color) + " => " + str(sc)
    total_diff += sc

print "total diff: " + str(total_diff)
