import cv2
import numpy as np
from matplotlib import pyplot as plt
import sys

def drawCircle(img, center_point, radius, color):
    for y in range(center_point[1]-radius, center_point[1]+radius+1):
        for x in range(center_point[0]-radius, center_point[0]+radius+1):
            if ((x - center_point[0]) ** 2 + (y - center_point[1]) ** 2) <= radius * radius:
                img[y,x] = color

filename = sys.argv[1] if len(sys.argv) >= 1 else raw_input("Path para a imagem: ")
for i in range(1, 11):
    img = cv2.imread(filename, 0)
    f = np.fft.fft2(img)
    fshift = np.fft.fftshift(f)
    #mag_spec = 20*np.log(np.abs(fshift))
    #plt.subplot(222), plt.title("imagem")
    #plt.imshow(img, cmap='gray'), plt.xticks([]), plt.yticks([])
    #plt.subplot(221),plt.imshow(mag_spec, cmap='gray')
    #plt.title("f before treatment")
    
    #fshift[169:173] = fshift[121:125] = 255
    #fshift[132:137] = fshift[157:161] = 255
    
    #cv2.circle(fshift, (102,171), 2, 255, -1)
    
    drawCircle(fshift, (104,172), i+2, 255)
    drawCircle(fshift, (190,122), i+2, 255)
    drawCircle(fshift, (126,135), i, 255)
    drawCircle(fshift, (168,159), i, 255)
    
    
    new_f = np.fft.ifftshift(fshift)
    new_img = np.abs(np.fft.ifft2(new_f))

    cv2.imwrite("ibagem_" + str(i) + ".png", new_img)
    
    #mag_spec = 20*np.log(np.abs(fshift))
    #plt.subplot(223),plt.imshow(mag_spec, cmap='gray')
    #plt.title("f after treatment")
    #plt.subplot(224), plt.title("imagem")
    #plt.imshow(np.abs(new_img), cmap='gray'), plt.xticks([]), plt.yticks([])
    #plt.show()
